// Definicije metoda uz klasu Kolekcija.

#include "kolekc.h"

void Kolekcija::kopiraj (const Kolekcija &kk) {      // Kopiranje liste.
  prvi = posl = 0; duz = kk.duz;
  for (Elem *tek=kk.prvi; tek; tek=tek->sled) {
    Elem *novi = new Elem (tek->fig->kopija ()); if (! novi) exit (1);
    if (! prvi) prvi = novi; else posl->sled = novi;
    posl = novi;
  }
}

void Kolekcija::brisi () {                           // Brisanje liste.
  while (prvi) { Elem *stari = prvi; prvi = prvi->sled; delete stari; }
  posl = 0; duz = 0;
}

Figura & Kolekcija::operator[] (int ii) const {      // Odabrana figura.
  if (ii<=0 || ii>duz) exit (2);
  for (Elem *tek=prvi; ii>1; tek=tek->sled, ii--);
  return *tek->fig;
}

ostream &operator<<(ostream &dd,const Kolekcija &kk){// Pisanje kolekcije.
  dd << kk.vrsta() << "{\n";
  for (Kolekcija::Elem *tek=kk.prvi; tek; tek=tek->sled)
    dd << "  " << *tek->fig << endl;
  return dd << "}\n";
}