// Definicije metoda uz klasu Trougao.

#include "trougao.h"
#include <math.h>

Real Trougao::P () const {                 // Povrsina.
  Real s = (a + b + c) / 2;
  return sqrt (s * (s-a) * (s-b) * (s-c));
}

Real Trougao::r () const                   // Poluprecnik upisanog kruga.
  { return 2 * P () / O (); }

Real Trougao::R () const {                 // Poluprecnik opisanog kruga.
  return a * b * c /
         sqrt ( pow (a*a+b*b+c*c, 2) -
                2 * (pow(a,4) + pow(b,4) + pow(c,4)) );
}

void Trougao::citaj (istream &dd)          // Citanje.
  { Figura::citaj (dd); dd >> a >> b >> c; }

void Trougao::pisi  (ostream &dd) const {  // Pisanje.
  dd << "trougao [";
  Figura::pisi (dd);
  dd << ", a=" << a << ", b=" << b   << ", c=" << c
     << ", O=" << O() << ", P=" << P() << ", r=" << r() 
     << ", R=" << R() << "]";
}
